ocaml-deriving-ocsigen
source package

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/ocaml-deriving-ocsigen

general

source
ocaml-deriving-ocsigen (source, ocaml)
version
0.7.1-1
maint
Debian OCaml Maintainers (a), Stéphane Glondu (u)
std-ver
3.9.8
VCS
Git (browse)

versions ... ...pool

o-o-stable
save 0.6.2-1
oldstable
save 0.7.1-1
stable
save 0.7.1-1
unstable
save 0.7.1-1
Ubuntu
0.7.1-1build3

binaries

todo

  • Lintian reports 3 warnings about this package. You should make the package lintian clean getting rid of them.
  • The package should be updated to follow the last version of Debian Policy (Standards-Version 4.5.0 instead of 3.9.8).
  • A new upstream version is available: 0.8.2, you should consider packaging it.
  • This package has "Build-Depends: oasis" while oasis needs a new maintainer, see RFA #934044.

problems

  • The package has not yet entered testing even though the 5-day delay is over. Check why.
  • The package is severely out of date with respect to the Debian Policy. Latest version is 4.5.0 and your package only follows 3.9.8...
  • The URL(s) for this package had some recent persistent issues.

testing migration

excuses:
  • Migration status for ocaml-deriving-ocsigen (- to 0.7.1-1): BLOCKED: Rejected/violates migration policy/introduces a regression
  • Issues preventing migration:
  • Updating ocaml-deriving-ocsigen introduces new bugs: #944592.
  • uninstallable on arch amd64, autopkgtest delayed there
  • uninstallable on arch arm64, autopkgtest delayed there
  • Additional info:
  • libderiving-ocsigen-ocaml/amd64 unsatisfiable Depends: ocaml-base-nox-4.05.0
  • libderiving-ocsigen-ocaml/arm64 unsatisfiable Depends: ocaml-base-nox-4.05.0
  • libderiving-ocsigen-ocaml/i386 unsatisfiable Depends: ocaml-base-nox-4.05.0
  • libderiving-ocsigen-ocaml/mips64el unsatisfiable Depends: ocaml-base-nox-4.05.0
  • libderiving-ocsigen-ocaml/mipsel unsatisfiable Depends: ocaml-base-nox-4.05.0
  • libderiving-ocsigen-ocaml/ppc64el unsatisfiable Depends: ocaml-base-nox-4.05.0
  • libderiving-ocsigen-ocaml/s390x unsatisfiable Depends: ocaml-base-nox-4.05.0
  • libderiving-ocsigen-ocaml/armel unsatisfiable Depends: ocaml-base-nox-4.05.0
  • libderiving-ocsigen-ocaml/armhf unsatisfiable Depends: ocaml-base-nox-4.05.0
  • libderiving-ocsigen-ocaml-dev/amd64 unsatisfiable Depends: libcamlp4-ocaml-dev-aw6p2
  • libderiving-ocsigen-ocaml-dev/amd64 unsatisfiable Depends: ocaml-nox-4.05.0
  • libderiving-ocsigen-ocaml-dev/arm64 unsatisfiable Depends: libcamlp4-ocaml-dev-aw6p2
  • libderiving-ocsigen-ocaml-dev/arm64 unsatisfiable Depends: ocaml-nox-4.05.0
  • libderiving-ocsigen-ocaml-dev/i386 unsatisfiable Depends: libcamlp4-ocaml-dev-1h4k2
  • libderiving-ocsigen-ocaml-dev/i386 unsatisfiable Depends: ocaml-nox-4.05.0
  • libderiving-ocsigen-ocaml-dev/mips64el unsatisfiable Depends: libcamlp4-ocaml-dev-fk345
  • libderiving-ocsigen-ocaml-dev/mips64el unsatisfiable Depends: ocaml-nox-4.05.0
  • libderiving-ocsigen-ocaml-dev/mipsel unsatisfiable Depends: libcamlp4-ocaml-dev-fk345
  • libderiving-ocsigen-ocaml-dev/mipsel unsatisfiable Depends: ocaml-nox-4.05.0
  • libderiving-ocsigen-ocaml-dev/ppc64el unsatisfiable Depends: libcamlp4-ocaml-dev-aw6p2
  • libderiving-ocsigen-ocaml-dev/ppc64el unsatisfiable Depends: ocaml-nox-4.05.0
  • libderiving-ocsigen-ocaml-dev/s390x unsatisfiable Depends: libcamlp4-ocaml-dev-c8df4
  • libderiving-ocsigen-ocaml-dev/s390x unsatisfiable Depends: ocaml-nox-4.05.0
  • libderiving-ocsigen-ocaml-dev/armel unsatisfiable Depends: libcamlp4-ocaml-dev-fk345
  • libderiving-ocsigen-ocaml-dev/armel unsatisfiable Depends: ocaml-nox-4.05.0
  • libderiving-ocsigen-ocaml-dev/armhf unsatisfiable Depends: libcamlp4-ocaml-dev-1h4k2
  • libderiving-ocsigen-ocaml-dev/armhf unsatisfiable Depends: ocaml-nox-4.05.0
  • Piuparts tested OK - https://piuparts.debian.org/sid/source/o/ocaml-deriving-ocsigen.html
  • 1268 days old (needed 5 days)

news RSS

bugs

all bug history graph
1
RC
1
I&N
0
M&W
0
F&P
0